Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.fdk
Class FdkExceptionMapper

    java.lang.Object
      oracle.ifs.fdk.FdkExceptionMapper

    public class FdkExceptionMapper

extends java.lang.Object

Utility class that maps any Throwable to an FdkException.

Constructor Summary
`FdkExceptionMapper(java.lang.Throwable cause)` Constructor.

Method Summary
`java.lang.Throwable` | `getCause()` Returns the cause exception.
`java.lang.String` | `getDetailedErrorCode()` Returns the mapped error code.
`FdkExceptionEntry[]` | `getEntries()` Returns the exception entries if the cause exception was an aggregate exception.
`java.lang.String` | `getErrorCode()` Returns the mapped error code.
`java.util.Map` | `getInfo()` Returns the additional information extracted from the cause exception.
`java.lang.Throwable` | `getMappedException()` Returns the actual Throwable that the error code was mapped from.
`boolean` | `isSevere()` Returns true if the mapper decides the cause is a severe error from which the client cannot recover.
`static java.lang.String` | `toMainErrorCode(java.lang.String detailedErrorCode)` Maps a detailed error code to a main error code.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FdkExceptionMapper

    public FdkExceptionMapper(java.lang.Throwable cause)

  Constructor.

  Parameters:
    `cause` - The Throwable to map.

Method Detail

### toMainErrorCode

    public static java.lang.String toMainErrorCode(java.lang.String detailedErrorCode)

  Description copied from class: `FdkExceptionMapper`
  Maps a detailed error code to a main error code.

  Parameters:
    `detailedErrorCode` - The detailed error code to map to a main error code.

### getErrorCode

    public java.lang.String getErrorCode()

  Description copied from class: `FdkExceptionMapper`
  Returns the mapped error code.

  Returns:
    the error code

### getDetailedErrorCode

    public java.lang.String getDetailedErrorCode()

  Description copied from class: `FdkExceptionMapper`
  Returns the mapped error code.

  Returns:
    the detailed error code

### getCause

    public java.lang.Throwable getCause()

  Description copied from class: `FdkExceptionMapper`
  Returns the cause exception. In general the return value is the cause exception passed in the constructors, but there may be cases where another nested exception could be more useful to be considered the cause exception.

### getMappedException

    public java.lang.Throwable getMappedException()

  Description copied from class: `FdkExceptionMapper`
  Returns the actual Throwable that the error code was mapped from. This is useful when the mapper uses any nested exceptions to determine an error code. IfsException is one common occurence.

### getInfo

    public java.util.Map getInfo()

  Description copied from class: `FdkExceptionMapper`
  Returns the additional information extracted from the cause exception. Can return `null`.

### getEntries

    public FdkExceptionEntry[] getEntries()

  Description copied from class: `FdkExceptionMapper`
  Returns the exception entries if the cause exception was an aggregate exception.

### isSevere

    public boolean isSevere()

  Description copied from class: `FdkExceptionMapper`
  Returns true if the mapper decides the cause is a severe error from which the client cannot recover. An example of a severe error is "Database Down". On the other hand "Permission Denied" is not a severe error.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD